Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Enumerations | Functions
geoconstants.h File Reference

## Namespaces
namespace | Steinberg
| This header provides classes for working with FUnknown.
namespace | Steinberg::GeoConstants

## Enumerations
enum | Direction { kNorth , kNorthEast , kEast , kSouthEast , kSouth , kSouthWest , kWest , kNorthWest , kNoDirection , kNumberOfDirections }
enum | Orientation { kHorizontal , kVertical , kNumberOfOrientations }

## Functions
Direction | toOpposite (Direction dir)
Orientation | toOrientation (Direction dir)
Orientation | toOrthogonalOrientation (Orientation dir)

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.